
Foreman - Bug #4369

RBAC UI - clicking a role in the UI should go to filters page

02/17/2014 10:38 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Web Interface   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1103869 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1342

  

Description

It is very frustrating to click a role in the list and be taken to a page to edit the name. From my usage so far, this is not a common use

case. Predominantly I am interested in seeing the filters.

Related issues:

Has duplicate Foreman - Bug #9438: Roles > 'Add permission' brings you to a p... Duplicate 02/18/2015

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 4ac62a6a - 10/07/2014 07:09 AM - Daniel Lobato Garcia

Fixes #4369 - Added link to filters page on RBAC form

Load filters table in roles UI via ajax

History

#1 - 02/18/2014 08:35 AM - Dominic Cleal

- Project changed from Discovery to Foreman

- Category set to Web Interface

#2 - 02/18/2014 09:29 AM - Marek Hulán

That was why the first column used to be search, not role :-) Should we change the order of columns again? Or do you suggest Role being a link to

filters? Or not to be link at all?

#3 - 03/03/2014 01:24 PM - Anonymous

- Target version set to 1.9.0

#4 - 03/05/2014 11:04 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#5 - 03/26/2014 01:20 PM - Daniel Lobato Garcia

- Assignee set to Daniel Lobato Garcia

#6 - 03/26/2014 01:30 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#7 - 04/01/2014 01:25 AM - Daniel Lobato Garcia

https://github.com/theforeman/foreman/pull/1342

#8 - 04/01/2014 07:47 AM - Dominic Cleal

- Status changed from New to Ready For Testing
#9 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#10 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#11 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#12 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#13 - 06/02/2014 06:56 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103869

#14 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#15 - 07/07/2014 07:20 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#16 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#17 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#18 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#19 - 09/30/2014 10:33 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#20 - 10/07/2014 02:01 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1342 added

#21 - 10/07/2014 08:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4ac62a6a87799c384a7333924e75fe918d389a46.

#22 - 10/20/2014 09:35 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#23 - 02/06/2015 04:40 AM - Anonymous

Spam deleted by administrator.

#24 - 02/19/2015 07:40 AM - Dominic Cleal

- Has duplicate Bug #9438: Roles > 'Add permission' brings you to a page titled 'New Filter' added
